Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7526 - dhcp client still sends request after ip switched to manual
Summary: dhcp client still sends request after ip switched to manual
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcp
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 00:33 UTC by adamkuj
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-23 20:57:35 UTC


Attachments (Terms of Use)

Description adamkuj 1999-12-03 00:33:33 UTC
when redhat 6.1 i386 was installed it was set to use dhcp. as soon as
installation was finished, the ip assignement was changed to manual via
linuxconf. an ip different from the one previously obtained via dhcp was
used.

the new manually assigned ip works correctly, but the dhcp client is still
sending a dhcp request to the dhcp server. when the server responds, the
dhcp client ignores it. the dhcp client again requests an ip a few seconds
later, then ignores the response, ... ad infinitum

this bug does not in any way interfere with the proper working of the
computer or its networking. it just fills the log of the dhcp server.
restarting network interface did not stop the behavior so i rebooted the
computer, thus fixing the problem.

here is a sample from the log of my dhcp server (dhcpd from bind
distribution, openbsd 2.5):

Dec  2 19:10:14 nexus dhcpd: DHCPREQUEST for 192.168.1.23 from
00:60:b0:b4:6a:f9 via le2
Dec  2 19:10:14 nexus dhcpd: DHCPACK on 192.168.1.23 to 00:60:b0:b4:6a:f9
via le2
Dec  2 19:10:14 nexus dhcpd: DHCPREQUEST for 192.168.1.23 from
00:60:b0:b4:6a:f9 via le2
Dec  2 19:10:14 nexus dhcpd: DHCPACK on 192.168.1.23 to 00:60:b0:b4:6a:f9
via le2
Dec  2 19:10:14 nexus dhcpd: send_fallback: Host is down
Dec  2 19:10:17 nexus dhcpd: DHCPREQUEST for 192.168.1.23 from
00:60:b0:b4:6a:f9 via le2
Dec  2 19:10:17 nexus dhcpd: DHCPACK on 192.168.1.23 to 00:60:b0:b4:6a:f9
via le2
Dec  2 19:10:17 nexus dhcpd: send_fallback: Host is down
Dec  2 19:10:17 nexus dhcpd: DHCPREQUEST for 192.168.1.23 from
00:60:b0:b4:6a:f9 via le2
Dec  2 19:10:17 nexus dhcpd: DHCPACK on 192.168.1.23 to 00:60:b0:b4:6a:f9
via le2
Dec  2 19:10:17 nexus dhcpd: send_fallback: Host is down

Comment 1 Erik Troan 2000-02-23 20:57:59 UTC
You need to "ifdown" and "ifup" a device after reconfiguring it.


Note You need to log in before you can comment on or make changes to this bug.